package ui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ButtonGroup;
import javax.swing.JPanel;
import javax.swing.JRadioButton;

import controller.BambooController;

@SuppressWarnings("serial")
public class LockButtonPanel extends JPanel {

	public enum Mode {
		ANSWER_MODE, CREATE_MODE
	}

	public LockButtonPanel(final BambooController controller) {
		this(controller, Mode.CREATE_MODE);
	}

	public LockButtonPanel(final BambooController controller, Mode mode) {
		JRadioButton createModeButton;
		JRadioButton answerModeButton;
		ButtonGroup modeGroup = new ButtonGroup();
		createModeButton = new JRadioButton("create mode");
		createModeButton.setFocusable(false);
		createModeButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				controller.unlock();
			}
		});
		answerModeButton = new JRadioButton("answer mode");
		answerModeButton.setFocusable(false);
		answerModeButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				controller.halfLock();
			}
		});
		modeGroup.add(createModeButton);
		modeGroup.add(answerModeButton);
		add(createModeButton);
		add(answerModeButton);
		if (mode == Mode.ANSWER_MODE) {
			answerModeButton.setSelected(true);
		} else if (mode == Mode.CREATE_MODE) {
			createModeButton.setSelected(true);
		} else {
			assert (false);
		}
	}

}
